repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
    -   id: trailing-whitespace
        exclude: \.(bdf|svg)$
    -   id: end-of-file-fixer
        exclude: \.(bdf|svg)$
    -   id: check-yaml
    -   id: check-added-large-files
        exclude: \.bdf$
-   repo: https://github.com/commitizen-tools/commitizen
    rev: v2.40.0
    hooks:
    -   id: commitizen
    -   id: commitizen-branch
        stages: [push]
-   repo: local
    hooks:
    -   id: pylint
        name: pylint
        entry: pylint
        language: system
        types: [python]
        args:
          [
            "-rn", # Only display messages
            "-sn", # Don't display the score
            "--rcfile=.pylintrc", # Link to your config file
            "--load-plugins=pylint.extensions.docparams", # Load an extension
          ]
